Skip to main content
GET
/
lending-stocks
/
api
/
liquidations
/
{marketId}
/
auctions
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/auctions" \
  -H "X-API-Key: trusset_your_key_here"
{
  "success": true,
  "data": {
    "auctions": [
      {
        "auctionId": "1",
        "loanId": "7",
        "borrower": "0xabc...def",
        "collateralRemaining": "25.000000000000000000",
        "debtRemaining": "2136.250000",
        "currentPrice": "172.400000",
        "endTime": 1718449200,
        "active": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.trusset.org/llms.txt

Use this file to discover all available pages before exploring further.

Returns auctions that are currently accepting bids. Only applies to markets with useDutchAuction enabled.

Path Parameters

marketId
string
required
Market ID.
curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/auctions" \
  -H "X-API-Key: trusset_your_key_here"
{
  "success": true,
  "data": {
    "auctions": [
      {
        "auctionId": "1",
        "loanId": "7",
        "borrower": "0xabc...def",
        "collateralRemaining": "25.000000000000000000",
        "debtRemaining": "2136.250000",
        "currentPrice": "172.400000",
        "endTime": 1718449200,
        "active": true
      }
    ]
  }
}